ui

## Class DataRecordDialogController

- java.lang.Object
- - ui.DataRecordDialogController

- All Implemented Interfaces:
    javafx.fxml.Initializable

      public class DataRecordDialogController
      extends java.lang.Object
      implements javafx.fxml.Initializable

  Layer 3 controller
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javafx.scene.control.Button` | `btnOK`
    `private javafx.scene.control.CheckBox` | `chbDIFEbit1`
    `private javafx.scene.control.CheckBox` | `chbDIFEbit2`
    `private javafx.scene.control.CheckBox` | `chbDIFEbit3`
    `private javafx.scene.control.CheckBox` | `chbDIFEbit4`
    `private javafx.scene.control.CheckBox` | `chbDIFEbit5`
    `private javafx.scene.control.CheckBox` | `chbDIFEbit6`
    `private javafx.scene.control.CheckBox` | `chbDIFEbit7`
    `private javafx.scene.control.CheckBox` | `chbDIFEbit8`
    `private javafx.scene.control.CheckBox` | `chbDifExtensionBit`
    `private javafx.scene.control.CheckBox` | `chbStorageNumberBit`
    `private javafx.scene.control.CheckBox` | `chbVIFEbit1`
    `private javafx.scene.control.CheckBox` | `chbVIFEbit2`
    `private javafx.scene.control.CheckBox` | `chbVIFEbit3`
    `private javafx.scene.control.CheckBox` | `chbVIFEbit4`
    `private javafx.scene.control.CheckBox` | `chbVIFEbit5`
    `private javafx.scene.control.CheckBox` | `chbVIFEbit6`
    `private javafx.scene.control.CheckBox` | `chbVIFEbit7`
    `private javafx.scene.control.CheckBox` | `chbVIFEbit8`
    `private javafx.scene.control.CheckBox` | `chbVifExtensionBit`
    `private javafx.scene.control.ComboBox<DataFieldCode>` | `cmbDataFieldCode`
    `private javafx.scene.control.ComboBox<FunctionCode>` | `cmbFunctionField`
    `private javafx.scene.control.ComboBox<java.lang.String>` | `cmbMultiplier`
    `private javafx.scene.control.ComboBox<ValueType>` | `cmbValueType`
    `private boolean` | `confirmed`
    `private java.util.List<javafx.scene.control.CheckBox>` | `difeChbs`
    `private DataRecord` | `dr`
    `private javafx.scene.control.ListView<DataRecord.DIFE>` | `lstDIFEs`
    `private javafx.scene.control.ListView<DataRecord.VIFE>` | `lstVIFEs`
    `private javafx.scene.control.TextArea` | `txtData`
    `private java.util.List<javafx.scene.control.CheckBox>` | `vifeChbs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataRecordDialogController()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `adjustMultipliers()` Adjusts the multiplier drop down menu values to match the current value type multiplier range.
    `private void` | `btnAddDIFEclicked()`
    `private void` | `btnAddVIFEclicked()`
    `private void` | `btnCancelClicked()`
    `private void` | `btnOKClicked()`
    `private void` | `btnRemoveDIFEclicked()`
    `private void` | `btnRemoveVIFEclicked()`
    `private void` | `cbValueTypeChanged()`
    `private void` | `closeStage()`
    `DataRecord` | `getDataRecord()`
    `void` | `initialize(java.net.URL url, java.util.ResourceBundle rb)`
    `private void` | `refreshDIFEs()`
    `private void` | `refreshVIFEs()`
    `private void` | `saveDataRecordParameters()` Takes inputs from the GUI and stores them in the underlying data record object.
    `void` | `setByDataRecord(DataRecord dr)` Sets this window controls by given DataRecord
    `private void` | `setByDIFE(java.lang.Byte dife)` Sets the DIFE section by a DIFE byte.
    `private void` | `setByVIFE(java.lang.Byte vife)` Sets the VIFE section by a VIFE byte.
    `boolean` | `wasConfirmed()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### btnOK

          private javafx.scene.control.Button btnOK

    - #### chbDIFEbit1

          private javafx.scene.control.CheckBox chbDIFEbit1

    - #### chbDIFEbit2

          private javafx.scene.control.CheckBox chbDIFEbit2

    - #### chbDIFEbit3

          private javafx.scene.control.CheckBox chbDIFEbit3

    - #### chbDIFEbit4

          private javafx.scene.control.CheckBox chbDIFEbit4

    - #### chbDIFEbit5

          private javafx.scene.control.CheckBox chbDIFEbit5

    - #### chbDIFEbit6

          private javafx.scene.control.CheckBox chbDIFEbit6

    - #### chbDIFEbit7

          private javafx.scene.control.CheckBox chbDIFEbit7

    - #### chbDIFEbit8

          private javafx.scene.control.CheckBox chbDIFEbit8

    - #### chbDifExtensionBit

          private javafx.scene.control.CheckBox chbDifExtensionBit

    - #### chbStorageNumberBit

          private javafx.scene.control.CheckBox chbStorageNumberBit

    - #### chbVIFEbit1

          private javafx.scene.control.CheckBox chbVIFEbit1

    - #### chbVIFEbit2

          private javafx.scene.control.CheckBox chbVIFEbit2

    - #### chbVIFEbit3

          private javafx.scene.control.CheckBox chbVIFEbit3

    - #### chbVIFEbit4

          private javafx.scene.control.CheckBox chbVIFEbit4

    - #### chbVIFEbit5

          private javafx.scene.control.CheckBox chbVIFEbit5

    - #### chbVIFEbit6

          private javafx.scene.control.CheckBox chbVIFEbit6

    - #### chbVIFEbit7

          private javafx.scene.control.CheckBox chbVIFEbit7

    - #### chbVIFEbit8

          private javafx.scene.control.CheckBox chbVIFEbit8

    - #### chbVifExtensionBit

          private javafx.scene.control.CheckBox chbVifExtensionBit

    - #### cmbDataFieldCode

          private javafx.scene.control.ComboBox<DataFieldCode> cmbDataFieldCode

    - #### cmbFunctionField

          private javafx.scene.control.ComboBox<FunctionCode> cmbFunctionField

    - #### cmbMultiplier

          private javafx.scene.control.ComboBox<java.lang.String> cmbMultiplier

    - #### cmbValueType

          private javafx.scene.control.ComboBox<ValueType> cmbValueType

    - #### confirmed

          private boolean confirmed

    - #### difeChbs

          private final java.util.List<javafx.scene.control.CheckBox> difeChbs

    - #### dr

          private DataRecord dr

    - #### lstDIFEs

          private javafx.scene.control.ListView<DataRecord.DIFE> lstDIFEs

    - #### lstVIFEs

          private javafx.scene.control.ListView<DataRecord.VIFE> lstVIFEs

    - #### txtData

          private javafx.scene.control.TextArea txtData

    - #### vifeChbs

          private final java.util.List<javafx.scene.control.CheckBox> vifeChbs

  - ### Constructor Detail

    - #### DataRecordDialogController

          public DataRecordDialogController()

  - ### Method Detail

    - #### adjustMultipliers

          private void adjustMultipliers()

      Adjusts the multiplier drop down menu values to match the current value type multiplier range.

    - #### btnAddDIFEclicked

          private void btnAddDIFEclicked()

    - #### btnAddVIFEclicked

          private void btnAddVIFEclicked()

    - #### btnCancelClicked

          private void btnCancelClicked()

    - #### btnOKClicked

          private void btnOKClicked()

    - #### btnRemoveDIFEclicked

          private void btnRemoveDIFEclicked()

    - #### btnRemoveVIFEclicked

          private void btnRemoveVIFEclicked()

    - #### cbValueTypeChanged

          private void cbValueTypeChanged()

    - #### closeStage

          private void closeStage()

    - #### getDataRecord

          public DataRecord getDataRecord()

    - #### initialize

          public void initialize(java.net.URL url,
                                 java.util.ResourceBundle rb)

      Specified by:
        `initialize` in interface `javafx.fxml.Initializable`

    - #### refreshDIFEs

          private void refreshDIFEs()

    - #### refreshVIFEs

          private void refreshVIFEs()

    - #### saveDataRecordParameters

          private void saveDataRecordParameters()

      Takes inputs from the GUI and stores them in the underlying data record object.

    - #### setByDataRecord

          public void setByDataRecord(DataRecord dr)

      Sets this window controls by given DataRecord
      Parameters:
        `dr` - DataRecord to adjust the controls by

    - #### setByDIFE

          private void setByDIFE(java.lang.Byte dife)

      Sets the DIFE section by a DIFE byte.
      Parameters:
        `dife` - DIFE to use

    - #### setByVIFE

          private void setByVIFE(java.lang.Byte vife)

      Sets the VIFE section by a VIFE byte.
      Parameters:
        `vife` - VIFE to use

    - #### wasConfirmed

          public boolean wasConfirmed()